## grendel.ui
Class UIFactory

    java.lang.Object
      |
      +--grendel.ui.UIFactory

public class UIFactory
extends java.lang.Object

Method Summary
`javax.swing.Icon` | `getFolderIcon(ViewedFolder aFolder, boolean open, boolean large)`
`java.awt.Image` | `getFolderImage(ViewedFolder aFolder, boolean open, boolean large)`
`javax.swing.Icon` | `getFolderOverlayIcon(ViewedFolder aFolder, boolean open, boolean large)`
`static UIFactory` | `Instance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Instance

    public static UIFactory Instance()

### getFolderIcon

    public javax.swing.Icon getFolderIcon(ViewedFolder aFolder,
                                          boolean open,
                                          boolean large)

### getFolderOverlayIcon

    public javax.swing.Icon getFolderOverlayIcon(ViewedFolder aFolder,
                                                 boolean open,
                                                 boolean large)

### getFolderImage

    public java.awt.Image getFolderImage(ViewedFolder aFolder,
                                         boolean open,
                                         boolean large)